After upgrading our metadirectory engine to 4.7.1 we are having an issue with our jdbc driver connecting. We've updated the driver and remote loader to the latest versions. The error we are receiving is
Message: Code(-9005) The driver returned a "fatal" status indicating that the driver should be shut down. Detail from driver: Premature return from PublicationShim.start()<application>DirXML</application>
<module>ESD JDBC</module>

In the past I've seen this issue and putting all passwords back into the configuration via iManager or Designer has resolved this, however it is not the case this time, we're also seeing an issue where it says a file is locked. Anyone have this issue after upgrading?